

import 'dart:ui';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';



class LandingScreen3 extends StatefulWidget {
  const LandingScreen3({Key? key}) : super(key: key);

  @override
  State<LandingScreen3> createState() => _LandingScreen3State();
}

class _LandingScreen3State extends State<LandingScreen3> {

  PageController pageController=PageController( initialPage: 0);


  int _currentIndex=0;

  List<dynamic>landingImage = [
    'assets/landing/landing3_1.jpeg',
    'assets/landing/landing3_2.jpeg',
    'assets/landing/landing3_3.jpeg',
  ];
  List heading=['Snowy Landscape',
    'Sunny Meadow','Calm Shore',
    ];
  List details=[
    "Embark on a journey where love meets the enchanting allure of snow-covered landscapes. Plan your snowy escape effortlessly with our platform and create cherished memories in the magical embrace of moonlit snow.",
    "Step into the warmth of nature's embrace as you wander through sun-drenched meadows. Our platform invites you to discover idyllic destinations where sunlight dances on green expanses.",
    "Let the rhythm of the waves serenade your soul as you embark on a romantic journey to sun-kissed shores. Our platform is your gateway to seaside bliss, where sandy beaches and azure waters set the stage for unforgettable moments."
  ];




  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return  Scaffold(

      body: Stack(
        children: [
          PageView.builder(
            scrollDirection: Axis.vertical,
            itemCount: landingImage.length,
              scrollBehavior: const ScrollBehavior(),
              controller: pageController,
              onPageChanged: (index){
                setState(() {
                  _currentIndex=index;
                });
              },
              itemBuilder: (BuildContext context, int index){
                if(landingImage.isEmpty){
                  return  LinearProgressIndicator(
                    color: Colors.grey.shade100,
                    backgroundColor: Colors.white54,
                  );
                }else {
                  return
                    Stack(
                      children: [
                        Positioned(
                          bottom: 0,
                          child: Container(
                              height: screenSize.height,
                              width: screenSize.width,
                              decoration: BoxDecoration(
                                  image: DecorationImage(image: AssetImage('${landingImage[index]}'),fit: BoxFit.cover)
                              )
                          ),
                        ),



                        Positioned(
                          child: Container(
                            height: screenSize.height/1.5,
                            padding: const EdgeInsets.only(top: 100,left: 15,right: 15),
                            width: screenSize.width,
                            decoration: BoxDecoration(
                              gradient: LinearGradient(
                                begin: Alignment.topCenter,
                                end: Alignment.bottomCenter,
                                colors: [
                                  Colors.white,
                                  Colors.white.withOpacity(.5),
                                  Colors.transparent,

                                ]
                              )
                            ),
                            child: Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                Text('${heading[index]}',style: const TextStyle(fontSize: 35,color: Colors.black),),
                              const SizedBox(height: 15,),
                                Text('${details[index]}',style: const TextStyle(fontSize: 20,color: Colors.black87),),

                              ],
                            ),
                          ),
                        ),
                         _currentIndex==landingImage.length-1?
                         Positioned(
                            bottom: 50,
                            right: 50,
                            child: Center(
                              child: ElevatedButton(
                                  onPressed: (){},
                                  style: ElevatedButton.styleFrom(
                                    backgroundColor: Colors.white
                                  ),
                                  child: Padding(
                                    padding: const EdgeInsets.symmetric(horizontal: 20.0,vertical: 10),
                                    child: Text('Home',style: TextStyle(
                                    fontSize: 20,color: Colors.black
                              ),),
                                  )),
                            ),
                          ):const SizedBox()


                      ],
                    );
                }
              }
          ),
          Positioned(
            right: 5,
            top: screenSize.height/2,
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                for(var i=0; i<landingImage.length; i++)
                  DotIndicator(_currentIndex==i)
              ],),
          ),
        ],
      ),

    );
  }
}

Widget DotIndicator(bool x){
  return Padding(
    padding: const EdgeInsets.all(8.0),
    child: Container(
      height: x? 25:10,
      width:  x? 12:10,
      decoration:   BoxDecoration(
          color: x? Colors.white: Colors.white70,
          borderRadius: BorderRadius.circular(5),
          boxShadow: [BoxShadow(
            blurRadius: 1,
            color: Colors.grey,
            spreadRadius: 1,

          )
          ]
      ),
    ),
  );
}



